* Generic session options - page and line size, no page breaks;
OPTIONS nonumber nodate nocenter pagesize=MAX linesize=120 formdlim=' ';											
* Kill default titles on output; 
TITLE;

%LET filesave= F:\Example Data\Chapter 4 Data\MIDUS 7-Occasion Data;
LIBNAME filesave "&filesave.";

* Import data into work library;
DATA chapter4; SET filesave.chapter4; RUN;

TITLE "Descriptives for Positive Mood";
PROC MEANS DATA=stacked; VAR posmood; RUN;
PROC UNIVARIATE DATA=stacked; VAR posmood; HISTOGRAM posmood; RUN;
TITLE;

TITLE1 "Saturated Means, Unstructured R-Only Variance Model";
TITLE2 "Test for mean differences across days";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = studyday / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=UN SUBJECT=PersonID;
	LSMEANS studyday;
RUN; TITLE1; TITLE2;

* R only structures;

TITLE "Empty Means, Unstructured R-Only Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=UN SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Compound Symmetry Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=CS SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Compound Symmetry Heterogeneous Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=CSH SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Auto-Regressive Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=AR(1) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Auto-Regressive Heterogeneous Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=ARH(1) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Toeplitz Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=TOEP(7) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Toeplitz Heterogeneous Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	REPEATED studyday / R RCORR TYPE=TOEPH(7) SUBJECT=PersonID;
RUN;

* G and R combined structures;

TITLE "Empty Means, Random Intercept + Unstructured(6) R Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=UN(6) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + VC R Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=VC SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + VCH Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=UN(1) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + AR1 Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT /  V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=AR(1) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + ARH1 Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT /  V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=ARH(1) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEP(2) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEP(2) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEPH(2) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEPH(2) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEP(3) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEP(3) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEPH(3) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEPH(3) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEP(4) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEP(4) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEPH(4) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEPH(4) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEP(5) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEP(5) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEPH(5) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEPH(5) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEP(6) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEP(6) SUBJECT=PersonID;
RUN;

TITLE "Empty Means, Random Intercept + TOEPH(6) Variance Model";
PROC MIXED DATA=stacked NOCLPRINT NOITPRINT COVTEST METHOD=REML;
	CLASS PersonID studyday;
	MODEL posmood = / SOLUTION DDFM=Satterthwaite;
	RANDOM INTERCEPT / G V VCORR TYPE=UN SUBJECT=PersonID;
	REPEATED studyday / R RCORR TYPE=TOEPH(6) SUBJECT=PersonID;
RUN;
TITLE;

